KYUA-TEST(1)

NAME
kyua test - Runs tests

SYNOPSIS
kyua test [--build-root path] [--kyuafile file] [--results-file file] [test_filter1 .. test_filterN]

DESCRIPTION
The kyua test command loads a test suite definition from a kyuafile(5), runs the tests defined in it, and records the results into a new results file. By default, all tests in the test suite are executed but the optional arguments to kyua test can be used to select which test programs or test cases to run. These are filters and are described below in Test filters.

Every test executed by kyua test is run under a controlled environment as described in Test isolation.

The following subcommand options are recognized:

--build-root path
    Specifies the build root in which to find the test programs referenced by the Kyuafile, if different from the Kyuafile's directory. See Build directories below for more information.

--kyuafile path, -k path
    Specifies the Kyuafile to process. Defaults to a Kyuafile file in the current directory.

--results-file path, -r path
    __include__ results-file-flag-write.mdoc

You can later inspect the results of the test run in more detail by using kyua-report(1) or you can execute a single test case with debugging functionality by using kyua-debug(1).

  Build directories
__include__ build-root.mdoc COMMAND=test

  Results files
__include__ results-files.mdoc

  Test filters
__include__ test-filters.mdoc

  Test isolation
__include__ test-isolation.mdoc

EXIT STATUS
The kyua test command returns 0 if all executed test cases pass or 1 if any of the executed test cases fails or if any of the given test case filters does not match any test case.

Additional exit codes may be returned as described in kyua(1).

EXAMPLES
__include__ results-files-report-example.mdoc REPORT_COMMAND=report

SEE ALSO
kyua(1), kyua-report(1), kyuafile(5)